commit:     692496deb8340c060849359829a1395d6637a722
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 14 21:16:32 2026 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Feb 14 21:21:07 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=692496de

net-libs/libssh: add 0.11.4

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/libssh/Manifest                                   |  2 ++
 .../libssh/{libssh-9999.ebuild => libssh-0.11.4.ebuild}    | 14 +++++---------
 net-libs/libssh/libssh-9999.ebuild                         | 14 +++++---------
 3 files changed, 12 insertions(+), 18 deletions(-)

diff --git a/net-libs/libssh/Manifest b/net-libs/libssh/Manifest
index 2bfd2ea7f22e..1475b32389b9 100644
--- a/net-libs/libssh/Manifest
+++ b/net-libs/libssh/Manifest
@@ -1,3 +1,5 @@
 DIST libssh-0.11.2.tar.xz 619428 BLAKE2B 
7f4a97b2027e386f5bfd308b1aac1938484722d4d1bb55ce0fa2de8358bedea47955df1cb4e68679033d1a5538058422770872f2f6513a82199ff506eccfad0e
 SHA512 
15d56c3f82ee81c3ab4af2b17eba054626bb53c3337ef45f829479f8b64c552f6e7cbf307e41c9792bcb3438f282d2690acbe994150bd03a8b6c21ba8b1cfe50
 DIST libssh-0.11.3.tar.xz 622776 BLAKE2B 
859e4af9bf6305e54175e456d153a85e678a6fc49ac184dbe09d94ab01dde42f0321f5a2ac35cf4ca9df188daab6c4bf3171dcd8a3776419a3a1a20474ccf89a
 SHA512 
0670bee29a7cf5507dba7dd82b82cd8a926b83a43cee441fa8a698be2523b16aacb392433f9e63887bd72e6eb817667f6ef986f292f335d1856759af4ede40c4
 DIST libssh-0.11.3.tar.xz.asc 833 BLAKE2B 
496c32ab055ad8b5413af28078bd4f28923e91af311ed02d6b1b4cb4868777942472efda1c46c6df4b6ffa27a14420f94b4ebda7bb2839511e41fcbda1a5e82d
 SHA512 
c9801aabb9aa2ca61f2ee5ddb328b6661bb8c319a7dbfa228af43e1cd04c9c6c227ceeeedd5a4b5ec780dc031a3cbe6fe7eb2b8a6bea2f460e4316b7fc0710da
+DIST libssh-0.11.4.tar.xz 626652 BLAKE2B 
fd062e45ce7c874b4d984e21737f5cd64818163c43397a67deba8599dc74d6bd41bfea7ddd29f01a1c25de9d4c317ec9c95ad91e0712e1a58a023e8991365291
 SHA512 
00c7e1317dcca8feab07eb3d6feb7bbc74c563149173d439d618f431386c4ca1d6f258567ef0599f08275a3a165c04105568f55e6ed7f0fe1a88382e2ebdc850
+DIST libssh-0.11.4.tar.xz.asc 833 BLAKE2B 
58c09b4061e7add06a3a613c89d7eabd3c18afb3c09c20b6b1b7712c0a3db70a0eca83ca96bd4424bb1fa93af1cc6539d0c2c4897d0c4580dad9b9fc2dfda840
 SHA512 
79a0d55363f92cc6e654ed5dc7208ba7c3e5e474d549305cfdc8b79b71263e238dbcdd498a0c63027731c40d06af5f3fcbdc9adc96b0ff2065e4798f048f74ab

diff --git a/net-libs/libssh/libssh-9999.ebuild 
b/net-libs/libssh/libssh-0.11.4.ebuild
similarity index 95%
copy from net-libs/libssh/libssh-9999.ebuild
copy to net-libs/libssh/libssh-0.11.4.ebuild
index a4a0ee906ffe..15b42ec4119f 100644
--- a/net-libs/libssh/libssh-9999.ebuild
+++ b/net-libs/libssh/libssh-0.11.4.ebuild
@@ -34,8 +34,7 @@ RDEPEND="
        mbedtls? ( net-libs/mbedtls:3=[${MULTILIB_USEDEP},threads] )
        zlib? ( >=virtual/zlib-1.2.8-r1:=[${MULTILIB_USEDEP}] )
 "
-DEPEND="
-       ${RDEPEND}
+DEPEND="${RDEPEND}
        test? (
                >=dev-util/cmocka-0.3.1[${MULTILIB_USEDEP}]
                elibc_musl? ( sys-libs/argp-standalone )
@@ -46,12 +45,9 @@ BDEPEND+=" doc? ( app-text/doxygen[dot] )"
 DOCS=( AUTHORS CHANGELOG README )
 
 src_unpack() {
-       if [[ ${PV} == 9999 ]] ; then
+       if [[ ${PV} == *9999* ]] ; then
                git-r3_src_unpack
-               return
-       fi
-
-       if use verify-sig; then
+       elif use verify-sig; then
                verify-sig_verify_detached "${DISTDIR}"/${P}.tar.xz{,.asc}
        fi
 
@@ -94,8 +90,7 @@ src_prepare() {
                fi
 
                if use elibc_musl; then
-                       sed -e "/SOLARIS/d" \
-                               -i tests/CMakeLists.txt || die
+                       sed -e "/SOLARIS/d" -i tests/CMakeLists.txt || die
                fi
        fi
 }
@@ -107,6 +102,7 @@ src_configure() {
 
 multilib_src_configure() {
        local mycmakeargs=(
+               -DCMAKE_DISABLE_FIND_PACKAGE_ABIMap=ON # not packaged
                -DWITH_NACL=OFF
                -DWITH_STACK_PROTECTOR=OFF
                -DWITH_STACK_PROTECTOR_STRONG=OFF

diff --git a/net-libs/libssh/libssh-9999.ebuild 
b/net-libs/libssh/libssh-9999.ebuild
index a4a0ee906ffe..15b42ec4119f 100644
--- a/net-libs/libssh/libssh-9999.ebuild
+++ b/net-libs/libssh/libssh-9999.ebuild
@@ -34,8 +34,7 @@ RDEPEND="
        mbedtls? ( net-libs/mbedtls:3=[${MULTILIB_USEDEP},threads] )
        zlib? ( >=virtual/zlib-1.2.8-r1:=[${MULTILIB_USEDEP}] )
 "
-DEPEND="
-       ${RDEPEND}
+DEPEND="${RDEPEND}
        test? (
                >=dev-util/cmocka-0.3.1[${MULTILIB_USEDEP}]
                elibc_musl? ( sys-libs/argp-standalone )
@@ -46,12 +45,9 @@ BDEPEND+=" doc? ( app-text/doxygen[dot] )"
 DOCS=( AUTHORS CHANGELOG README )
 
 src_unpack() {
-       if [[ ${PV} == 9999 ]] ; then
+       if [[ ${PV} == *9999* ]] ; then
                git-r3_src_unpack
-               return
-       fi
-
-       if use verify-sig; then
+       elif use verify-sig; then
                verify-sig_verify_detached "${DISTDIR}"/${P}.tar.xz{,.asc}
        fi
 
@@ -94,8 +90,7 @@ src_prepare() {
                fi
 
                if use elibc_musl; then
-                       sed -e "/SOLARIS/d" \
-                               -i tests/CMakeLists.txt || die
+                       sed -e "/SOLARIS/d" -i tests/CMakeLists.txt || die
                fi
        fi
 }
@@ -107,6 +102,7 @@ src_configure() {
 
 multilib_src_configure() {
        local mycmakeargs=(
+               -DCMAKE_DISABLE_FIND_PACKAGE_ABIMap=ON # not packaged
                -DWITH_NACL=OFF
                -DWITH_STACK_PROTECTOR=OFF
                -DWITH_STACK_PROTECTOR_STRONG=OFF

Reply via email to